Перейти к содержанию

Алгоритмы, зарегистрированные Linux Crypto API в НАЙС.ОС

Это справочник имён реализации, а не отдельное описание ГОСТ. Математика, параметры, ограничения, RFC и режимы публикуются в каноническом каталоге. Для полноты проверяйте запущенное ядро и /proc/crypto: реализация алгоритма ≠ доступность любого приложения.

Crypto API Алгоритм Источник
kuznyechik Кузнечик RFC 7801
magma Магма RFC 8891
streebog256 Стрибог-256 RFC 6986
streebog512 Стрибог-512 RFC 6986
gosthash94 ГОСТ Р 34.11-94 исторический хэш
ecrdsa ГОСТ Р 34.10-2012 подпись 512 и 256
gost28147-tc26z, gost28147-cpa … ГОСТ 28147-89 старые наборы параметров
cmac(kuznyechik) CMAC поверх Кузнечика OMAC/CMAC
hmac(streebog256) HMAC поверх Стрибога HMAC
uname -r
grep -E '^name|^driver|^module' /proc/crypto | grep -Ei 'gost|magma|kuznyechik|streebog|ecrdsa|kernel' | head -n 70

Для проверки одного алгоритма найдите его целый блок в /proc/crypto: соседние строки разных блоков нельзя механически объединять. module: kernel свидетельствует о builtin-реализации для данной записи; составные шаблоны могут регистрироваться при обращении.

Практика AF_ALG · Реестр и диагностика · Алгоритмы и ограничения